export function indent(content: string, space: string | number): string {
    let indentContent: string = ""
    if (typeof space === "number") {
        for (let index = 0; index < space; index++) {
            indentContent += " "
        }
    } else {
        indentContent = space
    }
    let result = indentContent + content.replace(/\n/g, "\n" + indentContent)
    result = result.replace(/\n\s+/g, "\n")
    return result
}
